<?php


namespace FiloBlu\Kpi\Console\Command;

use FiloBlu\Kpi\Cron\Addkpidata;
use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Input\InputArgument;
use Symfony\Component\Console\Input\InputOption;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;

class AddkpidataCommand extends Command
{
    protected $addkpidata;

    public function __construct(
        Addkpidata $addkpidata
    )
    {
        $this->addkpidata = $addkpidata;
        parent::__construct();
    }

    /**
     * {@inheritdoc}
     */
    protected function configure()
    {
        $this->setName("kpi:addkpidata");
        $this->setDescription("Add KPI data");
        parent::configure();
    }

    /**
     * {@inheritdoc}
     */
    protected function execute(
        InputInterface $input,
        OutputInterface $output
    ) {
        $now = new \DateTime();
        $output->writeln("Add KPI data operation start at ".$now->format('H:i:s').". Check the log for details.");
        $this->addkpidata->execute();
        $now = new \DateTime();
        $output->writeln('End operation at '.$now->format('H:i:s'));
    }
}